declare type UserRole = string

declare interface UserProfile {
	id: number;
	phone: string;
	nickname: string;
	realname: string;
	status: number;
	ctime: number;
	utime: number;
	dtime: number;
}


declare interface AuthProps {
	isLoggedIn: boolean;
	isInitialized?: boolean;
	user?: UserProfile | null;
	token?: string | null;
}

declare type AuthContextType = {
	isLoggedIn: boolean;
	isInitialized?: boolean;
	user?: UserProfile | null | undefined;
	logout: () => Promise<void>;
	login: (phone: string, code: string) => Promise<void>;
	updateUser: (user: Partial<UserProfile>) => Promise<void>;
};